﻿@using System.Web.UI.WebControls;
@using Portal.Models.WallAnnouncement;

@model WallAnnouncementModel     
           
@using (Html.BeginForm("FormCallback", "WallAnnouncement", FormMethod.Post))
{
    <table border="0" style="width: 100%;">
        <tr>
            <td valign="top" style="width: 400px;">
                <table border="0">
                    <tr>
                        <td valign="top">
                            @Html.DevExpress().Label(
                                settings =>
                                {
                                    settings.Name = "lblRecipient";
                                    settings.Text = "Recipient Supplier";
                                    settings.Width = 170;
                                }
                            ).GetHtml()
                        </td>
                        <td valign="top" colspan="2"> @*ddlRecipient*@
                        @Html.Common().DevExpress().GridLookup(
                        sett => {
                            sett.Name = "ddlRecipient";
                            sett.GridProperties.KeyFieldName = "Username";
                            sett.Width = 150;
                            sett.GridProperties.Settings.ShowFilterRow = true;
                            sett.GridProperties.CallbackRouteValues = new { Controller = "WallAnnouncement", Action = "RecipientListCallback" };
                            //sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                            sett.GridProperties.CommandColumn.Width = Unit.Percentage(10);
                            sett.GridProperties.Width = 250;
                            sett.GridProperties.SettingsPager.NumericButtonCount = 4;
                            
                            sett.GridProperties.Columns.Add(column =>
                            {
                                column.FieldName = "Username";
                                column.Caption = "Name";
                                column.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
                            });
                            sett.GridProperties.Columns.Add(column =>
                            {
                                column.FieldName = "Fullname";
                                column.Visible = false;
                                column.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
                            });
                        }
                    ).Bind(ViewData["Recipients"]).GetHtml()
                        </td> 
                    </tr>


                    <tr>
                        <td valign="top">
                            @Html.DevExpress().Label(
                                settings =>
                                {
                                    settings.Name = "lblRecipientNonSupplier";
                                    settings.Text = "Recipient Non Supplier";
                                }
                            ).GetHtml()
                        </td>
                        <td valign="top" colspan="2"> @*ddlRecipient*@
                        @Html.Common().DevExpress().GridLookup(
                        sett => {
                            sett.Name = "ddlRecipientNonSupplier";
                            sett.GridProperties.KeyFieldName = "Username";
                            sett.Width = 150;
                            sett.GridProperties.Settings.ShowFilterRow = true;
                            sett.GridProperties.CallbackRouteValues = new { Controller = "WallAnnouncement", Action = "RecipientListNonSupplierCallback" };
                            //sett.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                            //sett.GridProperties.CommandColumn.Width = Unit.Percentage(10);
                            
                            sett.GridProperties.Width = 250;
                            sett.GridProperties.SettingsPager.NumericButtonCount = 4;
                            
                            sett.GridProperties.Columns.Add(column =>
                            {
                                column.FieldName = "Username";
                                column.Caption = "Name";
                                column.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
                            });
                            sett.GridProperties.Columns.Add(column =>
                            {
                                column.FieldName = "Fullname";
                                column.Visible = false;
                                column.Settings.AutoFilterCondition = AutoFilterCondition.Contains;
                            });
                        }
                    ).Bind(ViewData["RecipientsNonSupplier"]).GetHtml()
                        </td> 
                    </tr>



                    <tr> <td> Valid From
                        <td colspan="2">
                            <table border="0" cellpadding="0" cellspacing="0">
                                <tr>
                                    <td ></td>
                                    <td>
                                        @Html.DevExpress().DateEdit(settings => 
                                           {
                                               settings.Name = "ValidFrom";
                                               settings.Width = Unit.Pixel(120);
                                           }).GetHtml()
                                    </td>
                                    <td style="width: 80px;text-align: center;">Valid To</td>
                                    <td>
                                        @Html.DevExpress().DateEdit(settings => 
                                           {
                                               settings.Name = "ValidTo";
                                               settings.Width = Unit.Pixel(100);
                                           }).GetHtml()
                                    </td>
                                </tr>
                            </table>
                        </td>
                        </td>
                    </tr>
                    <tr>
                        <td valign="top">
                            @Html.DevExpress().Label(
                                settings =>
                                {
                                    settings.Name = "lblDescription";
                                    settings.Text = "Description";
                                }
                            ).GetHtml()
                        </td>
                        <td valign="top">
                            @Html.DevExpress().Memo(
                                settings =>
                                {
                                    settings.Name = "mmDescription";
                                    settings.Width = Unit.Pixel(280);
                                    settings.Properties.Rows = 5;
                                  
                                }
                            ).GetHtml()
                        </td>
                    </tr>
                    
                </table>
            </td>
            <td valign="top">
                <div id="wall-announce-files">
                    @Html.DevExpress().UploadControl(
                        settings =>
                        {
                            settings.Name = "updUploadFiles";
                            settings.Width = Unit.Pixel(500);
                            settings.UploadMode = UploadControlUploadMode.Advanced;
                            settings.AddUploadButtonsHorizontalPosition = AddUploadButtonsHorizontalPosition.InputRightSide;
                            settings.FileInputCount = 1;
                            settings.ShowAddRemoveButtons = true;
                            settings.ShowClearFileSelectionButton = true;
                            settings.ShowProgressPanel = true;
                            settings.CancelButtonHorizontalPosition = CancelButtonHorizontalPosition.Left;
                            settings.ProgressBarSettings.DisplayMode = DevExpress.Web.ASPxProgressBar.ProgressBarDisplayMode.Percentage;
                            settings.ProgressBarSettings.ShowPosition = true;
                            settings.CallbackRouteValues = new { Controller = ViewBag.ScreenId, Action = "UploadCallback" };
                            settings.ClientSideEvents.FilesUploadComplete = "FilesUploadComplete";
                            settings.ClientSideEvents.FileUploadComplete = "FilesUploadComplete";
                            settings.ClientSideEvents.FilesUploadComplete = "function(s,e) { " +
                                                                                //" dialogComplete(s,e)";
                                                                                //"OnFilesUploadComplete();"+
                                                                                //"WAWaitingUploadPopup.Show();"+
                                                                               
                                                                                "if (e.callbackData == 'emptyRecipients')" +
                                                                                "{" +
                                                                                   " WAWaitingUploadPopup.Hide();" +
                                                                                   " alert('Recipients cant be empty!!!'); " +
                                                                                "}" +
                                                                                "else if (e.callbackData == 'x')" +
                                                                                "{" +
                                                                                   " WAWaitingUploadPopup.Hide();" +
                                                                                   " alert('Cant detect file to upload,please refresh the screen!!!');" +
                                                                               " }" +

                                                                               " else " +
                                                                               " { " +
                                                                                  "  RefreshScreen();" +
                                                                                   " WAWaitingUploadPopup.Hide(); }" +
                                                                                
                                                                               "}";
                                                                               //" }"+
                                                                                //"     var fileInputCount = updUploadFiles.GetFileInputCount();" +
                                                                                //"     for(var i = 1; i < fileInputCount; i++) { " +
                                                                                //"         updUploadFiles.RemoveFileInput();" +
                                                                                //"     }" +
                                                                                //"     updUploadFiles.ClearText();" +
                                                                                //"     mmDescription.SetText('');" +
                                                                                //"     gridRecipients.UnselectRows();" +
                                                                                //"     gridUploadedFiles.Refresh();" +
                       
                        }
                    ).GetHtml()
                </div>                
            </td>
        </tr>
       
        <tr style="height:5px"></tr> @* row spacing *@
        <tr style="width:320px;" > 
            <td colspan="4" align="right"> 
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Width = Unit.Pixel(50);
                        settings.Name = "btClear";
                        settings.Text = "Clear";
                        settings.ControlStyle.CssClass = "dxInlineDisplay";
                        settings.ClientSideEvents.Click = "function(s,e) { " +
                                                            "     var fileInputCount = updUploadFiles.GetFileInputCount();" +
                                                            "     for(var i = 1; i < fileInputCount; i++) { " +
                                                            "         updUploadFiles.RemoveFileInput();" +
                                                            "     }" +
                                                            "     updUploadFiles.ClearText();" +
                                                            "     mmDescription.SetText('');" +
                                                            "     gridRecipients.UnselectRows();" +
                                                            "}";
                    }
                ).GetHtml()

                           
                @*Add by : FID.Goldy *@
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Width = Unit.Pixel(180);
                    settings.Name = "btSubmit";
                    settings.Text = "Submit Without Attachment";
                    settings.ControlStyle.CssClass = "dxInlineDisplay";
                    settings.ClientSideEvents.Click = "UploadWithoutAttachment";
                }).GetHtml()
                 
                @Html.DevExpress().Button(
                settings =>
                {
                    settings.Width = Unit.Pixel(160);
                    settings.Name = "btUpload";
                    settings.Text = "Submit With Attachment";
                    settings.ControlStyle.CssClass = "dxInlineDisplay";
                    settings.ClientSideEvents.Click = "OnUploadWithAttachment"; 
                }
                ).GetHtml()                         
            </td>
        </tr>
    </table>       
}